Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Class RetrieveMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractTransportMessageHandler
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.AbstractPollingMessageReceiver
                  org.mule.transport.email.RetrieveMessageReceiver

All Implemented Interfaces:
  EventListener, MessageCountListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

    public class RetrieveMessageReceiver

extends AbstractPollingMessageReceiver
implements MessageCountListener

Poll a mailbox for messages, remove the messages and route them as events into Mule.

This contains a reference to a mail folder (and also the endpoint and connector, via superclasses)

Field Summary

Fields inherited from class org.mule.transport.AbstractPollingMessageReceiver
`DEFAULT_POLL_FREQUENCY, DEFAULT_POLL_TIMEUNIT, DEFAULT_STARTUP_DELAY, schedules`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`defaultInboundTransformers, defaultResponseTransformers, flowConstruct, listener, receiverKey`

Fields inherited from class org.mule.transport.AbstractTransportMessageHandler
`connected, connecting, connector, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`RetrieveMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint, long checkFrequency, boolean backupEnabled, String backupFolder)`

Method Summary
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`Folder` | `getFolder()`
`protected MuleMessage` | `handleUnacceptedFilter(MuleMessage message)`
`void` | `messagesAdded(MessageCountEvent event)`
`void` | `messagesRemoved(MessageCountEvent event)`
`void` | `poll()`
`void` | `setFolder(Folder folder)`
`protected void` | `storeMessage(Message msg)` Helper method for testing which stores a copy of the message locally as the POP3 message will be deleted from the server

Methods inherited from class org.mule.transport.AbstractPollingMessageReceiver
`createWork, disableNativeScheduling, getFrequency, getTimeUnit, schedule, setFrequency, setTimeUnit, unschedule`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`applyInboundTransformers, applyResponseTransformers, createLifecycleManager, createMuleEvent, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getFlowConstruct, getReceiverKey, getWorkManager, initialise, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setListener, setReceiverKey, toString`

Methods inherited from class org.mule.transport.AbstractTransportMessageHandler
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, getConnectEventId, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### RetrieveMessageReceiver

    public RetrieveMessageReceiver(Connector connector,
                                   FlowConstruct flowConstruct,
                                   InboundEndpoint endpoint,
                                   long checkFrequency,
                                   boolean backupEnabled,
                                   String backupFolder)
                            throws CreateException

Throws:
  `CreateException`

Method Detail

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractTransportMessageHandler`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractTransportMessageHandler`
  Throws:
    `Exception`

### doStop

    protected void doStop()

  Overrides:
    `doStop` in class `AbstractPollingMessageReceiver`

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractPollingMessageReceiver`
  Throws:
    `MuleException`

### messagesAdded

    public void messagesAdded(MessageCountEvent event)

  Specified by:
    `messagesAdded` in interface `MessageCountListener`

### messagesRemoved

    public void messagesRemoved(MessageCountEvent event)

  Specified by:
    `messagesRemoved` in interface `MessageCountListener`

### getFolder

    public Folder getFolder()

  Returns:
    the current Mail folder

### setFolder

    public void setFolder(Folder folder)

  Parameters:
    `folder` -

### storeMessage

    protected void storeMessage(Message msg)
                         throws IOException,
                                MessagingException

  Helper method for testing which stores a copy of the message locally as the POP3

  message will be deleted from the server

  Parameters:
    `msg` - the message to store
  Throws:
    `IOException` - If a failure happens writing the message
    `MessagingException` - If a failure happens reading the message

### poll

    public void poll()

  Specified by:
    `poll` in class `AbstractPollingMessageReceiver`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractMessageReceiver`

### handleUnacceptedFilter

    protected MuleMessage handleUnacceptedFilter(MuleMessage message)

  Overrides:
    `handleUnacceptedFilter` in class `AbstractMessageReceiver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.